FreeBSD : opera -- URL parsing heap overflow vulnerability (4867ae85-608d-11db-8faf-000c6ec775d9)

Medium Nessus Plugin ID 22909


The remote FreeBSD host is missing one or more security-related updates.


iDefense Labs reports :

Remote exploitation of a heap overflow vulnerability within version 9 of Opera Software's Opera Web browser could allow an attacker to execute arbitrary code on the affected host.

A flaw exists within Opera when parsing a tag that contains a URL. A heap buffer with a constant size of 256 bytes is allocated to store the URL, and the tag's URL is copied into this buffer without sufficient bounds checking of its length.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 22909

File Name: freebsd_pkg_4867ae85608d11db8faf000c6ec775d9.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2006/10/25

Modified: 2015/05/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.1

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:linux-opera, p-cpe:/a:freebsd:freebsd:opera, p-cpe:/a:freebsd:freebsd:opera-devel, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2006/10/20

Vulnerability Publication Date: 2006/10/17

Reference Information

CVE: CVE-2006-4819

Secunia: 22218